<?php
include_once("../header_reportes.php");
$usuario = $_COOKIE["usuario"];
$nivel = $_COOKIE["nivel"];
if($nivel=="administrador"){$cobrador=$_GET["usuario"];
    
}else{
    $cobrador=$usuario;
}
?>
<style>
    th,td{
        text-align: left;
    }
    *{
        font-family: Arial;
        font-size: 12px;
        font-wight:light;

    }
table,td,th{
    border:gray 1px solid;
    border-collapse: collapse;
    font-size: 18px;
}

th{
    background: green;
    color:white;
}
</style>
<?php
include_once("../php/config.php");
    $sql_empresa = mysql_query("SELECT * FROM empresa") or die(mysql_error());
$enombre= @mysql_result($sql_empresa,0,"nombre");
$etelefono= @mysql_result($sql_empresa,0,"telefono");   
$edireccion= @mysql_result($sql_empresa,0,"direccion"); 
$ernc= @mysql_result($sql_empresa,0,"rnc"); 
$eemail= @mysql_result($sql_empresa,0,"email"); 
    
?>
<span class="datos_empres2" style="font-size: 30px;font-weight: bolder;font-family: 'Arial black'"><?php echo $enombre;?></span><b><br>
<span class="datos_empres"><?php echo $etelefono;?> </span><br>
<span class="datos_empres"><?php echo $edireccion;?> </span><br>
<span class="datos_empres"><?php echo $ernc;?></span><br>
<h3 style="font-size: 25px; text-decoration: underline;">Reporte de ventas</h3>
<?php

include_once("../php/formatos.php");
$cliente = $_GET["cliente"];
$usuario = $_GET["usuario"];
$ncf = $_GET["ncf"];
$termino = $_GET["termino"];
$fecha1 = $_GET["fecha1"];
$fecha2 = $_GET["fecha2"];
$estado = $_GET["estado"];
if($estado=="Terminada"){$estado="Cerrada";}
echo "<b>Fecha:</b> desde <font color='blue'>".$fecha1."</font> hasta <font color='blue'>".$fecha2."<br>";
echo "<b>Cliente:</b> <font color='blue'>".$cliente."</font>, ";


$sql = mysql_query("select * from recargas where 
                    vendedor like '%".$cliente."%'
                    and usuario like '%".$usuario."%'
                    and estado = 'Realizada'
                    and fecha between '$fecha1' and '$fecha2'") or die(mysql_error());

echo "<table><th>Venta #</th><th>Fecha</th><th>Cliente</th><th>Monto Enviado</th><th>Comision RD$</th><th>Comision GOURDE</th><th>Producto</th><th>Validada por</th>";
while($r = mysql_fetch_array($sql)){
    $total+=$r["total"];
	
    $totalVenta+=$r["total"];
    $totalVenta2+=$r["total_gourde"];
    $costo+=$r["costo"];
    $impuestos+=$r["impuesto"];
	$c++;
    echo "<tr>";
    echo "<td>".$r["id"]."</td>";

    echo "<td>".fecha($r["fecha"])."</td>";
    //echo "<td>".$r["cuota"]."</td>";
    echo "<td>".$r["vendedor"]."</td>";
	
    echo "<td>".decimal($r["monto"])."</td>";
	echo "<td>".decimal($r["comision_remesa"])."</td>";
    echo "<td>".decimal($r["comision_remesa_gourde"])."</td>";
	
	echo "<td>".$r["compania"]."</td>";
    echo "<td>".$r["usuario"]."</td>";
    
    echo "</tr>";
}
 echo "</table>";
 echo "</br>";

$sqlCredito = mysql_query("select sum(total) as total from ventas where fecha between '$fecha1' and '$fecha2' and estado!='Anulada' and cliente like '%".$cliente."%'") or die(mysql_error());
$sqlEfectivo = mysql_query("select sum(monto) as total from recargas where  fecha between '$fecha1' and '$fecha2' and estado='Realizada' and vendedor like '%".$cliente."%' and moneda='PESOS'") or die(mysql_error());
$sqlEfectivo2 = mysql_query("select sum(monto) as total from recargas where  fecha between '$fecha1' and '$fecha2' and estado='Realizada' and vendedor like '%".$cliente."%' and moneda='GOURDE'") or die(mysql_error());


$sqlCredito2 = mysql_query("select sum(monto) as total from recargas where fecha between '$fecha1' and '$fecha2' and estado='Realizada' and vendedor like '%".$cliente."%'") or die(mysql_error());
$sqlComision = mysql_query("select sum(comision_remesa) as total from recargas where fecha between '$fecha1' and '$fecha2' and estado='Realizada' and vendedor like '%".$cliente."%'") or die(mysql_error());
$sqlComision2 = mysql_query("select sum(comision_remesa_gourde) as total from recargas where fecha between '$fecha1' and '$fecha2' and estado='Realizada' and vendedor like '%".$cliente."%'") or die(mysql_error());

$sqlCheque = mysql_query("select sum(total) as total from ventas where termino='Cheque' and fecha between '$fecha1' and '$fecha2' and estado!='Anulada' and cliente like '%".$cliente."%'") or die(mysql_error());
$sql_balance = mysql_query("select sum(balance) as balance from ventas where  cliente like '%".$cliente."%'") or die(mysql_error());
echo "<br><b>Registros: </b><font color='blue'>".($c)."</font><br>";
echo "<br>";



echo "<div id='detalle'>";

echo "<table>";
echo "<td bgcolor='yellow'></td><tr>";
echo "<td>TOTAL REMESAS SIN COMISION RD$</td>";
echo "<td>".@decimal(mysql_result($sqlEfectivo,0,"total"))."</td><tr>";

echo "<td>COMISION  RD$</td>";
echo "<td>".@decimal(mysql_result($sqlComision,0,"total"))."</td><tr>";

echo "<td>TOTAL REMESAS SIN COMISION GOURDE</td>";
echo "<td>".@decimal(mysql_result($sqlEfectivo2,0,"total"))."</td><tr>";

echo "<td>COMISION  GOURDE</td>";
echo "<td>".@decimal(mysql_result($sqlComision2,0,"total"))."</td><tr>";
 
echo "<td>TOTAL VENTAS REMESAS RD$</td>";
echo "<td>".@decimal(mysql_result($sqlEfectivo,0,"total") + mysql_result($sqlComision,0,"total"))."</td><tr>";

echo "<td>TOTAL VENTAS GOURDE</td>";
echo "<td>".@decimal(mysql_result($sqlEfectivo2,0,"total") + mysql_result($sqlComision2,0,"total"))."</td><tr>";



echo "</table>";
echo "</div>";



 ///echo "<b>Pagado:</b><font color='red'>".decimal($mora)."</font><br>";
 echo "<br><b>BALANCE EN VENTAS A CREDITO:</b><font color='green'>".@decimal(mysql_result($sql_balance,0,"balance"))."</font><br>";

 function comprobante($nombre){
    $n = mysql_query("select cedula from clientes where nombre = '".$nombre."'") or die(mysql_error());
    $rnc = @mysql_result($n, 0, "cedula");
    return $rnc;
}
?>
<script>

var rpt = localStorage.getItem("reporte-venta");
if(rpt=="corto"){
	$("#detalle").hide();
	
}
</script>